To create an Ellipse in the Main Menu select New Entity - > Basic - > Ellipse
You can define an Ellipse by its Center point, a Vector giving its normal, another vector specifying the direction of ellipse's Major Axis and its Major & Minor Radiuses.
The Result of the operation will be a GEOM_Object (edge).
TUI Command (without the major axis): geompy.MakeEllipse(Point, Vector, RadiusMajor, RadiusMinor)
Arguments: Name + 1 vertex (for the center) + 1 edge (for the direction) + 1 X Radius + 1 Y Radius.
TUI Command (with the major axis): geompy.MakeEllipseVec(Point, Vector, RadiusMajor, RadiusMinor, VectorMajor)
Arguments: Name + 1 vertex (for the center) + 1 edge (for the normal direction) + 1 X Radius + 1 Y Radius + 1 edge (for the major axis direction).
Example:
Our TUI Scripts provide you with useful examples of creation of Basic Geometric Objects.